=== pdcurses/CMakeLists.txt ===

add_library(
    pdcurses SHARED

    pdcurses/addch.c
    pdcurses/addchstr.c
    pdcurses/addstr.c
    pdcurses/attr.c
    pdcurses/beep.c
    pdcurses/bkgd.c
    pdcurses/border.c
    pdcurses/clear.c
    pdcurses/color.c
    pdcurses/debug.c
    pdcurses/delch.c
    pdcurses/deleteln.c
    pdcurses/deprec.c
    pdcurses/getch.c
    pdcurses/getstr.c
    pdcurses/getyx.c
    pdcurses/inch.c
    pdcurses/inchstr.c
    pdcurses/initscr.c
    pdcurses/inopts.c
    pdcurses/insch.c
    pdcurses/insstr.c
    pdcurses/instr.c
    pdcurses/kernel.c
    pdcurses/keyname.c
    pdcurses/mouse.c
    pdcurses/move.c
    pdcurses/outopts.c
    pdcurses/overlay.c
    pdcurses/pad.c
    pdcurses/panel.c
    win32/pdcclip.c
    win32/pdcdisp.c
    win32/pdcgetsc.c
    win32/pdckbd.c
    win32/pdcscrn.c
    win32/pdcsetsc.c
    win32/pdcutil.c
    pdcurses/printw.c
    pdcurses/refresh.c
    pdcurses/scanw.c
    pdcurses/scr_dump.c
    pdcurses/scroll.c
    pdcurses/slk.c
    pdcurses/termattr.c
    pdcurses/terminfo.c
    pdcurses/touch.c
    pdcurses/util.c
    pdcurses/window.c

    curses.h
    curspriv.h
    panel.h
    win32/pdcwin.h
    term.h

    pdcurses.def
    win32/pdcurses.rc
)
