=== debian/changelog ===
timidity (2.14.0-1) unstable; urgency=low

  * NEWS: Add new entry for 2.14.0
  * configure.in: Change version to 2.14.0

 -- TAMUKI Shoichi <tamuki@linet.gr.jp>  Thu, 26 Jun 2012 00:00:00 +0900

timidity (2.13.2-39) unstable; urgency=low

  * Orphan the package.

 -- Joost Yervante Damad <andete@debian.org>  Tue, 08 Jun 2010 18:33:18 +0200

timidity (2.13.2-38) unstable; urgency=low

  * Close stdin and stderr (Closes: #581914)
  * not all individual upgrades work out fine, normally the
    ones involving released versions should (Closes: #538967)
  * be less quiet about failure to stop (Closes: #563251)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 21 May 2010 10:50:43 +0200

timidity (2.13.2-37) unstable; urgency=low

  * update source format to 3.0
  * update standards version to 3.8.3
  * rebuild to make sure proper esd lib is used
  * user was using old config file (Closes: #545492)
  * sometimes other applications block the sound card (Closes: #440852, #557638)
    (see also https://bugs.launchpad.net/ubuntu/+source/timidity/+bug/120810 )

 -- Joost Yervante Damad <andete@debian.org>  Wed, 30 Dec 2009 16:32:31 +0100

timidity (2.13.2-36) unstable; urgency=low

  * Make sure stop is only invoked when init.d script actually
    exists (Closes: #546815)

 -- Joost Yervante Damad <andete@debian.org>  Wed, 16 Sep 2009 13:53:56 +0200

timidity (2.13.2-35) unstable; urgency=low

  * apply fedora_forkfix with thanks to Alban Browaeys for
    pointing out the patch and Paul Menzel for doing initial
   testing. (Closes: #544061) (Closes: #545476)
  * lots of upgrade testing, this version should survive
    an upgrade from a pre-timidity-daemon version unharmed
    (Closes: #538967)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 11 Sep 2009 09:16:27 +0200

timidity (2.13.2-34) unstable; urgency=low

  * also remove config file from timidity if it is still
    owned by timidity (which hopefully fixes the problem
    also for the reporter...) (Closes: #538967)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 07 Sep 2009 07:53:02 +0200

timidity (2.13.2-33) unstable; urgency=low

  * remove /etc/init.d/timidity on removal
    of timidity-daemon (Closes: #538967)
  * don't Depend on freepats a Recommends is good enough
    as it will still be installed by default for basic users
    (Closes: #542937)
  * use Recommends for timidity-daemon to allow smoother
    upgrade for basic users

 -- Joost Yervante Damad <andete@debian.org>  Mon, 24 Aug 2009 19:37:30 +0200

timidity (2.13.2-32) unstable; urgency=low

  * fix installation of /etc/default/timidity
    (although it was done as documented in man dh_installinit
     with the --name option method)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 23 Jul 2009 06:58:11 +0200

timidity (2.13.2-31) unstable; urgency=low

  * relocate /etc/init.d/timidity to timidity-daemon
  * don't depend on existance of file in /usr/share/doc/*
    (Closes: #537830)
  * fix typo in timidity-daemon.postinst

 -- Joost Yervante Damad <andete@debian.org>  Tue, 21 Jul 2009 16:11:26 +0200

timidity (2.13.2-30) unstable; urgency=low

  * don't chown in postinst anymore (Closes: #537812)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 21 Jul 2009 09:55:03 +0200

timidity (2.13.2-29) unstable; urgency=low

  * don't make /var/run/timidity part of the package
    as /var/run could be a temp filesystem, instead make
    the dir in the init script

 -- Joost Yervante Damad <andete@debian.org>  Sat, 18 Jul 2009 14:13:39 +0200

timidity (2.13.2-28) unstable; urgency=low

  * make sure timidity.deamon is removed not just on purge
    but also on remove
    check for existance of /var/run/timidity instead (which
    is now also used to make the pid file)
  * fix pid handling (pid files are icky)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 18 Jul 2009 13:07:03 +0200

timidity (2.13.2-27) unstable; urgency=low

  * introduce timidity-deamon to ease the choice of the
    user and/or other packages to want a system-wide
    timidity alsa sequencer daemon (Closes: #531080)
  * update standards version to 3.8.2
  * debhelper compat level 7

 -- Joost Yervante Damad <andete@debian.org>  Fri, 17 Jul 2009 08:47:58 +0200

timidity (2.13.2-26) unstable; urgency=low

  * (hopefully) fix drum panning with thanks to Steve Graham
    for providing a fix (Closes: #536252)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 17 Jul 2009 08:10:30 +0200

timidity (2.13.2-25) unstable; urgency=low

  * fix -q-q typo in debian/rules (Closes: #530957)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 29 May 2009 07:57:52 +0200

timidity (2.13.2-24) unstable; urgency=low

  * stop depending on ARTS (closes: #528182)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 12 May 2009 19:45:41 +0200

timidity (2.13.2-23) unstable; urgency=low

  * build depend on libjack-dev isof libjack0... (closes: #527435)
  * fix timidity-el section => lisp
  * fix debian/timidity-interfaces-extra.desktop binary path
  * add status method to init.d script (closes: #527884)
    with thanks to Peter Eisentraut for providing a patch
  * be a little more clear in the init.d message when it is not enabled
    although it's rather verbose :( (closes: #460588)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 23 Mar 2009 19:42:09 +0100

timidity (2.13.2-22) unstable; urgency=low

  * do not build with -Werror; some archs use different
    compilers

 -- Joost Yervante Damad <andete@debian.org>  Wed, 18 Feb 2009 18:17:00 +0100

timidity (2.13.2-21) unstable; urgency=low

  * Document how to enable the ALSA sequencer interface in
    README.Debian (Closes: #493224)
  * merge changes from ubuntu:
    - install Japanese docs
    - debian/timidity-interfaces-extra.desktop
    - debian/timidity.postinst
    - debian/timidity.preinst
    - debian/timidity.prerm
    - debian/TiMidity-uj_UTF8.ad
  * stricter compilation with EXTRAFLAGS
    - lots of tiny compile fixes
  * lintian fixes

