=== debian/control ===
Source: timidity
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libaudiofile-dev, libesd0-dev, libjack-dev, libaudio-dev, libportaudio-dev (>= 18.0), libportmidi-dev, libvorbis-dev (>= 1.0.0-3), libspeex-dev (>= 1.0), libflac-dev (>= 1.1.4), libncurses-dev, libslang2-dev, libx11-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, libxaw7-dev, tcl8.4-dev, tk8.4-dev, libgtk2.0-dev, autotools-dev
Standards-Version: 3.8.3
Homepage: http://timidity.sourceforge.net/

Package: timidity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Recommends: freepats, timidity-daemon
Suggests: pmidi, fluid-soundfont-gm, fluid-soundfont-gs
Description: Software sound renderer (MIDI sequencer, MOD player)
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD player.
 It uses sound fonts (GUS-compatible or SF2-compatible) to render MIDI files,
 which are not included in this package.
 .
   * Plays MIDI files without any external MIDI instruments at all
   * Understands SMF, RCP/R36/G18/G36, MFI, RMI (MIDI)
   * Autodetects and supports GM/GS/XG MIDI
   * Understands MOD, XM, S3M, IT, 699, AMF, DSM, FAR, GDM,
     IMF, MED, MTM, STM, STX, ULT, UNI (MOD)
   * Does MOD to MIDI conversion (including playback)
   * Outputs audio into various audio file formats: WAV, au, AIFF,
     Ogg (Vorbis, FLAC, Speex)
   * Supports NAS, eSound, JACK, ALSA and OSS drivers
   * Uses Gravis Ultrasound compatible patch files and SoundFont2 patch
     files as the voice data for MIDI instruments
   * Supports playing from archives (zip, lzh, tar...) and playing remote
     data from the network
   * Timidity++ can be used as an ALSA sequencer device

Package: timidity-interfaces-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, timidity (= ${binary:Version})
Replaces: timidity (<< 2.12.0)
Description: TiMidity++ extra user interfaces
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD 
 player.
 .
 This package provides extra TiMidity++ user interfaces, which have
 limited functionality when compared to those in the main package.
 .
 Interfaces in this package: VT100, Tcl/Tk, S-Lang, XSkin, GTK2

Package: timidity-el
Section: lisp
Architecture: all
Depends: emacsen-common, ${misc:Depends}, timidity (>= ${source:Version})
Description: An Emacs front end to Timidity++
 The timidity.el Emacs-Lisp program is a front-end to the TiMidity++ software-
 only MIDI sequencer and MOD player.  You can play MIDI amd MOD files directly
 from Emacs with this package.

Package: timidity-daemon
Section: sound
Architecture: all
Depends: ${misc:Depends}, timidity (>= ${source:Version}), adduser
Replaces: timidity (<< 2.13.2-31)
Description: runs TiMidity++ as a system-wide MIDI sequencer
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD 
 player.
 .
 This package provides TiMidity++ as a system-wide MIDI sequencer.
